Package com.sun.jna.platform.win32

## Class Ddeml.MONCBSTRUCT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Ddeml.MONCBSTRUCT

- Enclosing interface:
    Ddeml

      @FieldOrder({"cb","dwTime","hTask","dwRet","wType","wFmt","hConv","hsz1","hsz2","hData","dwData1","dwData2","cc","cbData","Data"})
      public static class Ddeml.MONCBSTRUCT
      extends Structure

  Contains information about the current Dynamic Data Exchange (DDE) transaction. A DDE debugging application can use this structure when monitoring transactions that the system passes to the DDE callback functions of other applications.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `cb` | The structure's size, in bytes.
    `int` | `cbData` | The amount, in bytes, of data being passed with the transaction.
    `Ddeml.CONVCONTEXT` | `cc` | The language information used to share data in different languages.
    `byte[]` | `Data` | Contains the first 32 bytes of data being passed with the transaction (8 * sizeof(DWORD)).
    `BaseTSD.ULONG_PTR` | `dwData1` | Additional data.
    `BaseTSD.ULONG_PTR` | `dwData2` | Additional data.
    `WinDef.DWORD` | `dwRet` | The value returned by the DDE callback function that processed the transaction.
    `int` | `dwTime` | The Windows time at which the transaction occurred.
    `Ddeml.HCONV` | `hConv` | A handle to the conversation in which the transaction took place.
    `Ddeml.HDDEDATA` | `hData` | A handle to the data exchanged (if any) during the transaction.
    `Ddeml.HSZ` | `hsz1` | A handle to a string.
    `Ddeml.HSZ` | `hsz2` | A handle to a string.
    `WinNT.HANDLE` | `hTask` | A handle to the task (application instance) containing the DDE callback function that received the transaction.
    `int` | `wFmt` | The format of the data exchanged (if any) during the transaction.
    `int` | `wType` | The transaction type.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MONCBSTRUCT()` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cb

          public int cb

      The structure's size, in bytes.

    - #### dwTime

          public int dwTime

      The Windows time at which the transaction occurred. Windows time is the number of milliseconds that have elapsed since the system was booted.

    - #### hTask

          public WinNT.HANDLE hTask

      A handle to the task (application instance) containing the DDE callback function that received the transaction.

    - #### dwRet

          public WinDef.DWORD dwRet

      The value returned by the DDE callback function that processed the transaction.

    - #### wType

          public int wType

      The transaction type.

    - #### wFmt

          public int wFmt

      The format of the data exchanged (if any) during the transaction.

    - #### hConv

          public Ddeml.HCONV hConv

      A handle to the conversation in which the transaction took place.

    - #### hsz1

          public Ddeml.HSZ hsz1

      A handle to a string.

    - #### hsz2

          public Ddeml.HSZ hsz2

      A handle to a string.

    - #### hData

          public Ddeml.HDDEDATA hData

      A handle to the data exchanged (if any) during the transaction.

    - #### dwData1

          public BaseTSD.ULONG_PTR dwData1

      Additional data.

    - #### dwData2

          public BaseTSD.ULONG_PTR dwData2

      Additional data.

    - #### cc

          public Ddeml.CONVCONTEXT cc

      The language information used to share data in different languages.

    - #### cbData

          public int cbData

      The amount, in bytes, of data being passed with the transaction. This value can be more than 32 bytes.

    - #### Data

          public byte[] Data

      Contains the first 32 bytes of data being passed with the transaction (8 * sizeof(DWORD)).

  - ### Constructor Detail

    - #### MONCBSTRUCT

          public MONCBSTRUCT()